<meta charset="utf-8">
<link href="../../css/templatemo_style.css" rel="stylesheet" type="text/css" />

<?php
session_start();
if (isset($_GET['s'])) {
    $s = $_GET['s'];
    $_SESSION['GROUPOFUSE'] = $s;
}

// afairethike to body apo to tempatemo.style.css
if ($_SESSION['GROUPOFUSE'] == 2) {
    $pagetitle = "2oυ Γραφείου!!!";
    include('../../divs/header.php');
} else {
    require_once('../../login/login_functions.inc.php');
    $url = absolute_url('../../login/login.php');
    header("Location: $url");
    exit();
}
?>
   



<div id="templatemo_menu_wrapper">

    <?php
    if (isset($_GET['s'])) {
        echo'<div id="templatemo_menu">
        <ul>
           <li><a href="2oGrafeio.php" class="current"><span></span>Αρχική</a></li>
            <li><a><span></span>Ενημέρωση Στελεχών</a><ul>
                   <li><a href="enhmerosh.php" target="_parent" ><span></span>Δείτε τις πρόσφατες ανακοινώσεις</a></li>
                   <li><a href="anakoinosh.php" target="_parent"><span></span>Αναρτήστε τη δική σας ανακοίνωση</a></li>
                                                     </ul> </li>
            <li><a><span></span>Υπηρεσίες</a><ul>
                   <li><a href="view_yphresies.php" target="_parent"><span></span>Δείτε ολες τις υπηρεσίες</a></li>
                   <li><a href="add_yphresies.php" target="_parent"><span></span>Καταχωρήστε νέα υπηρεσία</a></li>
                                            </ul> </li>                        
            <li><a href="fullcalendar/default.php" target="_blank"><span></span>Ημερολόγιο Υπηρεσιών</a>                        
           <li><a href="../dkths/dkths.php?s=6"><span></span>Επιστροφή στη Σελίδα Διοικητή </a></li> 
          <li><a href="logout.php" target="_parent"><span></span>Logout </a></li>
        </ul>
	</div>';
    } else {
        echo'
    <div id="templatemo_menu">
        <ul>
            <li><a href="2oGrafeio.php" class="current"><span></span>Αρχική</a></li>
            <li><a><span></span>Ενημέρωση Στελεχών</a><ul>
                   <li><a href="enhmerosh.php" target="_parent" ><span></span>Δείτε τις πρόσφατες ανακοινώσεις</a></li>
                   <li><a href="anakoinosh.php" target="_parent"><span></span>Αναρτήστε τη δική σας ανακοίνωση</a></li>
                                                     </ul> </li>
            <li><a><span></span>Υπηρεσίες</a><ul>
                   <li><a href="view_yphresies.php" target="_parent"><span></span>Δείτε ολες τις υπηρεσίες</a></li>
                   <li><a href="add_yphresies.php" target="_parent"><span></span>Καταχωρήστε νέα υπηρεσία</a></li>
                                            </ul> </li>                        
            <li><a href="fullcalendar/default.php" target="_blank"><span></span>Ημερολόγιο Υπηρεσιών</a>                        
            <li><a href="logout.php" target="_parent"><span></span>Logout </a></li>
        </ul>    
        
	</div>';
    }
    ?>
</div> <!-- end of templatemo_menu -->

<div id="templatemo_main"> <span class="tm_bottom"></span>


    <!-- CONTENT -->
<?php


echo "<h1>Λίστα Υπηρεσιών</h1>\n";

require_once('../../login/mysqli_connect.php');

$display = 10; // 10 lines of data per page

if (isset($_GET['p']) && is_numeric($_GET['p'])) {
    $pages = $_GET['p'];
} else {
    $q = "SELECT COUNT(Stid)as a FROM ekteleshyphresivn";
    $r = mysqli_query($dbc, $q);
    $row = mysqli_fetch_array($r, MYSQLI_ASSOC);
    $records = $row['a'];
//echo  $records;
    $num=$records;
    if ($records > $display) {
        $pages = ceil($records / $display);
    } else {
        $pages = 1;
    }
}

if (isset($_GET['s']) && is_numeric($_GET['s'])) {
    $start = $_GET['s'];
} else {
    $start = 0;
}

$sort = (isset($_GET['sort'])) ? $_GET['sort'] : 'un';
switch ($sort) {
    case 'un':
        $order_by = 'name ASC';
        break;
    case 'unr':
        $order_by = 'name DESC';
        break;
    case 'yn':
        $order_by = 'Yname ASC';
        break;
    case 'ynr':
        $order_by = 'Yname DESC';
        break;
     
    default:
        $order_by = 'name ASC';
        $sort = 'un';
        break;
}

$q = "SELECT CONCAT('(',e.Stid, ') ',s.Name, ' ',s.Surname) as name, y.Name as Yname, e.Ypid as Ypid,
    e.DateofExecution as dateofyp, e.Stid as id
    FROM ekteleshyphresivn e, stelexi s, yphresies y
    WHERE e.Stid=s.Id AND e.Ypid=y.Id ORDER BY $order_by
    LIMIT $start, $display";

$r = mysqli_query($dbc, $q);

//$num = mysqli_num_rows($r);

if ($r) {
    //Correct execution
    $sort_un = ($sort == 'un')? 'unr': 'un';
    $sort_yn = ($sort == 'yn')? 'ynr': 'yn';
   
    //$num=$records;
   if ((!isset($num)) OR ($num==null)){
       $num=$_GET['r'];
   }
    echo "<p>Αυτή τη στιγμή είναι καταχωρημένες $num υπηρεσίας.</p>\n";
    echo '<table align="center" cellspacing="3" cellpadding="3" width="75%">
          <tr>
             <td align="left"><b>Αλλαγή</b></td>
            
             <td align="left"><b>
             <a href="view_yphresies.php?sort=' . $sort_un . '">Ονομα</a></b></td>

             <td align="left"><b>
             <a href="view_yphresies.php?sort=' . $sort_yn . '">Υπηρεσία</a></b></td>     
             <td align="left"><b>
             <a href="view_yphresies.php?sort=' . $sort_yn . '">Ημερομ. Υπηρεσίας</a></b></td> 
              <td align="left"><b>ID Στελέχους</b></td>   
          </tr>
          ';
    $bg = '#eeeeee';
    while ($row = mysqli_fetch_array($r, MYSQLI_ASSOC)) {
        $bg = ($bg == '#eeeeee' ? '#ffffff' : '#eeeeee');

        echo '<tr bgcolor="' . $bg . '">
            <td align="left"><a href="allagi_yphresias.php?id=' .
        $row['id'] . '&dateyp='. $row['dateofyp'].'&yp='.$row['Ypid'].'">Αλλαγή</a></td>

            <td align="left">' . $row['name'] . '</td>
            <td align="left">' . $row['Yname'] . '</td>
            <td align="left">' . ($row['dateofyp']). '</td>
            <td align="left">' . $row['id'] . '</td>
              </tr>
              ';
    }
    echo '</table>';

    // για προσθηκη υπηρεσιας, yparxei sto 
    //echo '<p>Για προσθήκη υπηρεσίας πατηστε <a href="add_yphresies.php">ΕΔΩ</a></p><br></br>';
    
    mysqli_free_result($r);
} else {
    //Incorrect query execution
    echo '<p class="error">The current users could not be retrieved.
        We apologize for any inconvenience.</p>
        ';
    echo '<p>' . mysqli_error($dbc) . '<br>Query: ' . $q . '</p>';
}
mysqli_close($dbc);

if ($pages > 1) {
    echo '<br><p>';
    $current_page = ($start / $display) + 1;

    // If not the first page, create a Previous button
    if ($current_page != 1) {
        echo '<a href="view_yphresies.php?s=' . ($start - $display) .
        '&p=' . $pages . '&sort=' . $sort . '&r='.$num.'">Προηγούμενη</a> ';
    }

    // Create all the numbered pages
    for ($i = 1; $i <= $pages; $i++) {
        if ($i != $current_page) {
            echo '<a href="view_yphresies.php?s=' . (($i - 1) * $display) .
            '&p=' . $pages . '&sort=' . $sort . '&r='.$num.'">' . $i . '</a> ';
        } else {
            echo $i . ' ';
        }
    }

    // If not the last page, create a Next button
    if ($current_page != $pages) {
        echo ' <a href="view_yphresies.php?s=' . ($start + $display) .
        '&p=' . $pages . '&sort=' . $sort . '&r='.$num.'">Επόμενη</a>';
    }
}




 ?>


    <!-- SIDEBAR -->



    <div class="cleaner"></div>
</div> 




<?php
include('../../divs/footer.php');
?>


</body>
</html>

